#ifdef __GNUG__
#pragma interface
#endif
#ifndef __sockrpc_HXX
#include "sockrpc.hxx"
#endif

#ifndef __callbackserver_clnt_HXX
#define __callbackserver_clnt_HXX

class proxy_CallbackServer : public SvcClient {

  public :
  proxy_CallbackServer(int family=AF_INET) : proxy_SvcClient("CallbackServer", family) {};
  proxy_CallbackServer(char* n, int f) : proxy_SvcClient(n,f) {}
  int import(char* filter) {
    if (this->SvcClient::import(filter)==-1) {
      return -1 ;
    } else {
      return this->SvcClient::close() ;
    }
  }
  int askLock(PID pid)
  {
    int numproc = 0 ;
    int result ;
    this->reimport() ;
    (*(SvcSocket*)this) << numproc << pid << svcflush ;
    (*(SvcSocket*)this) >> result;
    this->close() ;
    return result ;
  } ;
} ; 



#endif
